# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Hardware-Vhdl-Tidy
Version:        0.8
Release:        alt1_14
Summary:        VHDL code prettifier

License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Hardware-Vhdl-Tidy/
Source0:        http://www.cpan.org/authors/id/M/MY/MYKL/Hardware-Vhdl-Tidy-%{version}.tar.gz


BuildArch:      noarch

BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Hardware/Vhdl/Lexer.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)

# %%dir %%{perl_vendor_privlib}/Hardware/Vhdl/ is owned by perl-Hardware-Vhdl-Parser
# perl(Hardware::Vhdl::Lexer) requires perl-Hardware-Vhdl-Parser

Source44: import.info


%description
This module auto-indents VHDL source code. It may be extended in future to
do other types of code prettification.


%prep
%setup -q -n Hardware-Vhdl-Tidy-%{version}

# rpmlint : line endings spurious-executable-perm
for i in Changes README lib/Hardware/Vhdl/Tidy.pm ; do
  echo "Fixing wrong-file-end-of-line-encoding : $i"
  %{__sed} 's/\r//' $i > $i.rpmlint
  touch -r $i $i.rpmlint;
  %{__mv} $i.rpmlint $i
  echo "Fixing perms : $i"
  chmod 0644 $i
done


%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes README test_in.vhd
%{perl_vendor_privlib}/Hardware/Vhdl/Tidy.pm


%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_14
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_13
- update to new release by fcimport

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_11
- fc import

